Click or drag to resize

BrepCreateDevelopableLoft Method (NurbsCurve, NurbsCurve, IEnumerablePoint2d)

Creates a single developable surface between two curves.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateDevelopableLoft(
	NurbsCurve rail0,
	NurbsCurve rail1,
	IEnumerable<Point2d> fixedRulings
)

Parameters

rail0
Type: Rhino.GeometryNurbsCurve
The first rail curve.
rail1
Type: Rhino.GeometryNurbsCurve
The second rail curve.
fixedRulings
Type: System.Collections.GenericIEnumerablePoint2d
Rulings define lines across the surface that define the straight sections on the developable surface, where rulings[i].X = parameter on first rail curve, and rulings[i].Y = parameter on second rail curve. Note, rulings will be automatically adjusted to minimum twist.

Return Value

Type: Brep
The output Breps if successful, otherwise an empty array.
Version Information

Rhino for Windows

Supported in: 6.11
See Also